Available in VPC
Upgrade the version of the NodePool registered in the cluster. You can also set values in case nodes are added or become unavailable during the upgrade.
Before upgrading your NodePool, check for factors that may impact the service. For a detailed description of the check factors, see the Ncloud Kubernetes Service User Guide.
Requests
The following describes the request format for the endpoint. The request format is as follows.
| Method | URI |
|---|---|
| PATCH | /vnks/v2/clusters/{uuid}/node-pool/{instanceNo}/upgrade (Korea Region) |
| PATCH | /vnks/sgn-v2/clusters/{uuid}/node-pool/{instanceNo}/upgrade (Singapore Region) |
| PATCH | /vnks/jpn-v2/clusters/{uuid}/node-pool/{instanceNo}/upgrade (Japan Region) |
Request headers
For information about the headers common to all Ncloud Kubernetes Service APIs, see Ncloud Kubernetes Service request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
uuid |
String | Required | Cluster's UUID |
instanceNo |
Integer | Required | NodePool instance number |
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
k8sVersion |
String | Required | Kubernetes version to upgrade
|
maxSurge |
Integer | Optional | Number of nodes that can be added during an upgrade
|
maxUnavailable |
Integer | Optional | Number of nodes you can afford to take out of service during an upgrade
|
Request example
The following is a sample request.
curl --location --request PATCH 'https://nks.apigw.ntruss.com/vnks/v2/clusters/{uuid}/node-pool/{instanceNo}/upgrade?k8sVersion={version}&maxSurge=2&maxUnavailable=0' \
--header 'x-ncp-apigw-timestamp: {timestamp}' \
--header 'x-ncp-iam-access-key: {access key}' \
--header 'x-ncp-apigw-signature-v2: {API gateway signature}'
Responses
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"uuid": "string",
"instanceNo": "integer"
}
Response body
The following describes the response body.
| Field | Type | Required | Description |
|---|---|---|---|
uuid |
String | - | UUID of the cluster |
instanceNo |
Integer | - | NodePool instance number |
Response status codes
For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see Ncloud Kubernetes Service response status codes.
Response example
The following is a sample response.
{
"uuid": "1a1111a1-4d44-99b9-88c8-9e99a99e9e99",
"instanceNo": 23323233
}